Rasa X dont work locally

Sorry, I don’t speak English very well. I am facing the following problem when trying to run rasa x:

… Starting Rasa X in local mode… :rocket:

Traceback (most recent call last): File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 324, in get_revisions for rev_id in resolved_id File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 324, in for rev_id in resolved_id File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 397, in _revision_for_ident resolved_id, alembic.script.revision.ResolutionError: No such revision or branch ‘d741ab0a01aa’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\cli\x.py”, line 501, in run_locally domain_path=domain_path, File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 678, in exec_module File “”, line 205, in _call_with_frames_removed File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 369, in _upgrade_revs for script in reversed(list(revs)) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\contextlib.py”, line 99, in exit self.gen.throw(type, value, traceback) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 324, in get_revisions for rev_id in resolved_id File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 324, in for rev_id in resolved_id File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\alembic\script\revision.py”, line 397, in _revision_for_ident resolved_id, alembic.util.exc.CommandError: Can’t locate revision identified by ‘d741ab0a01aa’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Welcome to the community! :slight_smile:

Can you please show the output of rasa --version and python -V?

Tip: Use three backticks (```) a line before and a line after code/commands/outputs to format them properly on the forum

```
like that
```
1 Like

Thanks for the reception and the tip!

Rasa Version : 2.6.2 Minimum Compatible Version: 2.6.0 Rasa SDK Version : 2.6.0 Rasa X Version : 0.39.3 Python Version : 3.6.2 Operating System : Windows-10-10.0.19041-SP0 Python Path : c:\users\clarisse\anaconda3\envs\chatbot1\python.exe

Python 3.6.2 :: Continuum Analytics, Inc.

1 Like

Welcome and hello @sfclarisse! Please try delete the rasa and events .db files from the project folder and run rasa x it should solve your issue. Good Luck!

Note: I will be automatically created again as you will run the rasa x so no need to worry :slight_smile:

2 Likes

I did what you said @nik202 , opened rasa x in the browser but at the prompt this happens, is it normal?

‘’’(chatbot1) C:\Users\Clarisse\myfirstbot>rasa x Starting Rasa X in local mode… :rocket: 2021-10-19 12:50:41 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. [2021-10-19 12:51:40 -0300] [11636] [INFO] Goin’ Fast @ http://0.0.0.0:5002 2021-10-19 12:51:40 INFO sanic.root - Goin’ Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=tQe2SDpNK3Tf

[2021-10-19 12:51:41 -0300] [11636] [INFO] Starting worker [11636] 2021-10-19 12:51:41 INFO sanic.root - Starting worker [11636] c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\utils\train_utils.py:565: UserWarning: model_confidence is set to softmax. It is recommended to try using model_confidence=linear_norm to make it easier to tune fallback thresholds. category=UserWarning, 2021-10-19 12:52:30 ERROR rasa.core.agent - Failed to update model. The previous model will stay loaded instead. Traceback (most recent call last): File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\registry.py”, line 28, in policy_from_module_path module_path, lookup_path=“rasa.core.policies.registry” File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\shared\utils\common.py”, line 37, in class_from_module_path m = importlib.import_module(module_name) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\importlib_init_.py”, line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File “”, line 978, in _gcd_import File “”, line 961, in _find_and_load File “”, line 948, in _find_and_load_unlocked ModuleNotFoundError: No module named ‘rasa.core.policies.unexpected_intent_policy’

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\agent.py”, line 160, in _update_model_from_server _load_and_set_updated_model(agent, model_directory, new_fingerprint) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\agent.py”, line 134, in _load_and_set_updated_model domain, policy_ensemble = _load_domain_and_policy_ensemble(core_path) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\agent.py”, line 112, in load_domain_and_policy_ensemble policy_ensemble = PolicyEnsemble.load(core_path) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\policies\ensemble.py”, line 361, in load policy_cls = registry.policy_from_module_path(policy_name) File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\registry.py”, line 31, in policy_from_module_path raise ImportError(f"Cannot retrieve policy from path ‘{module_path}’") ImportError: Cannot retrieve policy from path ‘rasa.core.policies.unexpected_intent_policy.UnexpecTEDIntentPolicy’ 2021-10-19 12:52:50 ERROR rasa.core.agent - Failed to update model. The previous model will stay loaded instead. Traceback (most recent call last): File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\core\registry.py”, line 28, in policy_from_module_path module_path, lookup_path=“rasa.core.policies.registry” File “c:\users\clarisse\anaconda3\envs\chatbot1\lib\site-packages\rasa\shared\utils\common.py”, line 37, in class_from_module_path m = importlib.import_module(module_name) File "c:\users\clarisse\anaconda3\envs\chatbot1\lib\importlib_init.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File “”, line 978, in _gcd_import File “”, line 961, in _find_and_load File “”, line 948, in _find_and_load_unlocked ModuleNotFoundError: No module named ‘rasa.core.policies.unexpected_intent_policy’ ‘’’

The UnexpecTED Intent Policy was introduced in a newer version of Rasa (2.8.0). Either update Rasa or remove that policy.

By the way, for proper formatting please use backticks (```), not apostrophes (’’’). They’re usually under the Esc key along with the ~ key.

@sfclarisse is your bot open in the default browser if yes then you done! please share the screenshot of the terminal, rather copy and paste please.

If not able to see the bot in default web browser please share the screenshot and state the error please.

@sfclarisse Please even clear the cookies and caches from the default webbrower.

@sfclarisse run a fresh rasa x and share me the screenshot at the backend terminal on which you had run the command.

@sfclarisse Please even update the rasa version to at least 2.8.1 while using the below commands


pip install rasa==2.8.1
pip install rasa-sdk==2.8.1

I can see you have rasa core polices issue, your maximum issues will be sorted :slight_smile:

I guess you able to open the Rasa-X :slight_smile:

1 Like

@sfclarisse If you want to start from the fresh please follow these steps and ignore the steps you already followed :slight_smile:

Please install Anaconda from Anaconda | Individual Edition , then create the conda environment using the following command

  1. conda create -n rasa3 python=3.8
  2. conda activate rasa 3

Note: I’d recommend to create a fresh environment if not you can proceed with next steps:

For Rasa Open Source:

`pip install rasa==2.8.1`
`pip install rasa-sdk==2.8.1'

check version rasa --version its install or not

For Installing basic project:

rasa init

then if you need

For Rasa-X Installation

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

check rasa version rasa --version its install or not

You will see some error : ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ Install

pip install SQLAlchemy==1.3.22 should fix it

If sanic related error: pip install sanic-jwt==1.6.0

delete .db (events and rasa ) if is showing alembic issue.

If you have any error in-between please share with us.

I hope this will solve your issue.

1 Like

i tried to create a new rasa x project and i had problems. Can anyone help me?

Traceback (most recent call last):
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\base.py", line 1803, in _execute_context
    cursor, statement, parameters, context
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\default.py", line 719, in do_execute
    cursor.execute(statement, parameters)
sqlite3.OperationalError: no such column: True

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasa\cli\x.py", line 501, in run_locally
    config_path=config_path,
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\local.py", line 234, in main
    sql_migrations.run_migrations(session)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\sql_migrations.py", line 25, in run_migrations
    _run_schema_migrations(session)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\sql_migrations.py", line 41, in _run_schema_migrations
    _run_alembic_migration(alembic_config)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\sql_migrations.py", line 65, in _run_alembic_migration
    command.upgrade(alembic_config, target_revision)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\command.py", line 298, in upgrade
    script.run_env()
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\script\base.py", line 489, in run_env
    util.load_python_file(self.dir, "env.py")
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\util\pyfiles.py", line 98, in load_python_file
    module = load_module_py(module_id, path)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\util\compat.py", line 184, in load_module_py
    spec.loader.exec_module(module)
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 96, in <module>
    run_migrations_online()
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py", line 86, in run_migrations_online
    context.run_migrations()
  File "<string>", line 8, in run_migrations
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\runtime\environment.py", line 846, in run_migrations
    self.get_context().run_migrations(**kw)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\runtime\migration.py", line 522, in run_migrations
    step.migration_fn(**kw)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\rasax\community\database\schema_migrations\alembic\versions\migration_2021_06_16_speedup_in_training_data_update_652500998f3e.py", line 42, in upgrade
    sqlite_where=sa.text(index_text),
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\contextlib.py", line 88, in __exit__
    next(self.gen)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\operations\base.py", line 353, in batch_alter_table
    impl.flush()
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\operations\batch.py", line 82, in flush
    fn(*arg, **kw)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\ddl\impl.py", line 283, in create_index
    self._exec(schema.CreateIndex(index))
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\alembic\ddl\impl.py", line 141, in _exec
    return conn.execute(construct, *multiparams, **params)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\base.py", line 1289, in execute
    return meth(self, multiparams, params, _EMPTY_EXECUTION_OPTS)
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\sql\ddl.py", line 78, in _execute_on_connection
    self, multiparams, params, execution_options
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\base.py", line 1387, in _execute_ddl
    compiled,
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\base.py", line 1846, in _execute_context
    e, statement, parameters, cursor, context
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\base.py", line 2027, in _handle_dbapi_exception
    sqlalchemy_exception, with_traceback=exc_info[2], from_=e
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\util\compat.py", line 207, in raise_
    raise exception
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\base.py", line 1803, in _execute_context
    cursor, statement, parameters, context
  File "c:\users\clarisse\anaconda3\envs\amb1\lib\site-packages\sqlalchemy\engine\default.py", line 719, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: True
[SQL: CREATE INDEX message_log_in_training_data_idx ON message_log (in_training_data) WHERE in_training_data is True]
(Background on this error at: https://sqlalche.me/e/14/e3q8)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.```

@sfclarisse can you share rasa --version please and what is the traceback of this error?